<?php
setcookie("GenY", "Testovacia COOKIE systemu GenY.", time()+86400);
setcookie("GenY", "Testovacia COOKIE systemu GenY.", time()+86400);
setcookie("GenY", "Testovacia COOKIE systemu GenY.", time()+86400);
//vlozenie funkcii generujucich zaciatok, obsah a koniec suboru
$meno_suboru="functions_for_layout.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
//vlozenie funkcii pre pracu so subormi a ich obsahom
$meno_suboru="functions_for_file.php";
	if(file_exists($meno_suboru)){
	require_once($meno_suboru);
	}else{
	echo("Nenašiel som súbor ".$meno_suboru." pre vloženie do skriptu. Ukončím vykonávanie skriptu.");
	exit;
	}
	
//kontrola verzie PHP, musi byt 5 a vyssia
check_php_ver();

//volanie prislusnych funkcii


//ak je uz db_conf.php plny (vacsi ako 0B), tak do neho uz zapisovat nebudem nic instalacia sa neda robit
//uz jedine manualne na serveri si ten subor editovat
/*
db_conf.php ma mat takyto obsah:
<?php
$dbname=meno_databazy; k tejto databaze sa system bude pripajat
$dbuser=;uzivatel_db; tohoto uzivatela pripoji k databaze
$dbhost=host_db k tomuto hostu sa pripoji
$dbpass=heslo_k_db; toto heslo pouzije na pripojenie k databaze
?> 
*/

$is=0;

if((isset($_POST["dbuser"])) or (isset($_POST["dbname"])) or (isset($_POST["dbhost"])) or (isset($_POST["dbpass"]))) $is=1;

//ak uz je konfiguracny subor plny udajov, stopnem instalaciu, system je nainstalovany
if((check_if_full("db_conf.php")==true)){
	beginning_of_file();
	content2_of_file();
	end_of_file();
	exit;
}

//ak nie su nastavene premenne, ktore posiela formular, tak nejde o odoslanie formulara, ale len o prve nacitanie install.php s formularom
if($is==0){
	beginning_of_file();
	content1_of_file();
	end_of_file();
	}else{
	//inak zapisem konfiguracne udaje do suboru
	beginning_of_file();
	zapis_db_conf($_POST["dbname"],$_POST["dbuser"],$_POST["dbhost"],$_POST["dbpass"]);
	//tato funkcia nielen zapisala konfiguracne data do suboru, ale potom sa aj pripojila k databaze 
	//a vytvorila potrebnu strukturu databazy, teda kompletne nainstalovala system, ak to bolo mozne
	end_of_file();
	}
	
?>
